Lorene::Change_var Class Reference
General PDE solvers (<em><strong>under development</strong></em>)

This class defines a variable change to be used when solving elliptic equations. More...

`#include <change_var.h>`

## Public Member Functions

| Change_var (int var)
| Additive factor for F ## PROVISORY.
| Change_var (int var, double)
| Standard constructor.
| Change_var (int var, double, double)
| Standard constructor.
| Change_var (const Change_var &so)
| ~Change_var ()
| Constructor by copy.
double | val_F (double x)
| Standard destructor.
double | val_der_F (double x)
| Returns the value of at {\tt x}.
double | val_G (double x)
| Returns the value of at {\tt x}.
double | val_der_G (double x)
| Returns the value of at {\tt x}.

## Protected Attributes

double(* | func_F )(double)
double(* | der_F )(double)
| Pointer on the function .
double(* | func_G )(double)
| Pointer on the derivative of .
double(* | der_G )(double)
| Pointer on the function .
double | mult_F
| Pointer on the derivative of .
double | add_F
| Multiplicative factor for F ## PROVISORY.

## Detailed Description

This class defines a variable change to be used when solving elliptic equations.

In {one particular domain}, the change is defined as follows :()

where is the usual variable, i.e. the one that is and is the variable used for solving the elliptic equation. The functions and are arbitrary functions of . The type of change must be explicitely implemented in the constructor for {\tt Change_var}.

Definition at line 98 of file change_var.h.

## Constructor & Destructor Documentation

## Change_var() [1/4]

Lorene::Change_var::Change_var | ( | int | var | ) |

Additive factor for F ## PROVISORY.

Standard constructor. Case with without parameter. {\tt var} defines explicitely the type of variable to be used. Are currently implemented : \begin{itemize} \item {\tt var} . \item {\tt var} . \item {\tt var} . \item {\tt var} . \item {\tt var} . \item {\tt var} . \end{itemize}

Definition at line 99 of file change_var.C.

References add_F, der_F, der_G, func_G, and mult_F.

## Change_var() [2/4]

Lorene::Change_var::Change_var | ( | int | var,
|  | double | mult )

Standard constructor.

Case with one multiplicative parameter for F {\tt var} defines explicitely the type of variable to be used.

Definition at line 157 of file change_var.C.

References add_F, der_F, der_G, func_G, and mult_F.

## Change_var() [3/4]

Lorene::Change_var::Change_var | ( | int | var,
|  | double | mult,
|  | double | add )

Standard constructor.

Case with one multiplicative parameter for F and one additive. {\tt var} defines explicitely the type of variable to be used.

Definition at line 214 of file change_var.C.

References add_F, der_F, der_G, func_G, and mult_F.

## Change_var() [4/4]

Lorene::Change_var::Change_var | ( | const Change_var & | so | ) |

Definition at line 271 of file change_var.C.

## ~Change_var()

Lorene::Change_var::~Change_var | ( |  | ) |

Constructor by copy.

Definition at line 274 of file change_var.C.

## Member Function Documentation

## val_der_F()

double Lorene::Change_var::val_der_F | ( | double | x | ) |

Returns the value of at {\tt x}.

Definition at line 280 of file change_var.C.

References der_F, and mult_F.

## val_der_G()

double Lorene::Change_var::val_der_G | ( | double | x | ) |

Returns the value of at {\tt x}.

Definition at line 288 of file change_var.C.

References der_G.

## val_F()

double Lorene::Change_var::val_F | ( | double | x | ) |

Standard destructor.

Definition at line 276 of file change_var.C.

References add_F, and mult_F.

## val_G()

double Lorene::Change_var::val_G | ( | double | x | ) |

Returns the value of at {\tt x}.

Definition at line 284 of file change_var.C.

References func_G.

## Member Data Documentation

## add_F

double Lorene::Change_var::add_F

protected

Multiplicative factor for F ## PROVISORY.

Definition at line 107 of file change_var.h.

## der_F

double(* Lorene::Change_var::der_F) (double)

protected

Pointer on the function .

Definition at line 102 of file change_var.h.

## der_G

double(* Lorene::Change_var::der_G) (double)

protected

Pointer on the function .

Definition at line 104 of file change_var.h.

## func_F

double(* Lorene::Change_var::func_F) (double)

protected

Definition at line 101 of file change_var.h.

## func_G

double(* Lorene::Change_var::func_G) (double)

protected

Pointer on the derivative of .

Definition at line 103 of file change_var.h.

## mult_F

double Lorene::Change_var::mult_F

protected

Pointer on the derivative of .

Definition at line 106 of file change_var.h.

The documentation for this class was generated from the following files:

- change_var.h
- change_var.C